Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 685222 - x11-wm/muffin-4.0.3 should depend on x11-libs/libxkbcommon
Summary: x11-wm/muffin-4.0.3 should depend on x11-libs/libxkbcommon
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cinnamon Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 20:39 UTC by Walter Hüttenmeyer
Modified: 2020-01-02 12:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Hüttenmeyer 2019-05-06 20:39:36 UTC
x11-wm/muffin-4.0.3 fails on configure.

Message:
No package 'xkbcommon' found
No package 'xkbcommon-x11' found

Installing x11-libs/libxkbcommon-0.8.4 manually and re-starting the emerge of x11-wm/muffin-4.0.3 works without any issues.
Comment 1 Walter Hüttenmeyer 2019-07-02 19:56:41 UTC
Can anyone confirm the same behaviour?
I guess it should happen frequently amongst cinnamon users...
Comment 2 PF4Public 2019-10-06 13:53:16 UTC
I can confirm this. Installing cinnamon after gnome gives me the same error.
Comment 3 vbe 2020-01-02 12:02:31 UTC
This bug happened today on a new Gentoo install while trying to emerge cinnamon:

>>> Emerging (1 of 8) x11-wm/muffin-4.0.3::gentoo
(...)
Package 'xkbcommon', required by 'virtual:world', not found
Package 'xkbcommon-x11', required by 'virtual:world', not found